- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/algorithmicDiff/OSAlgorithmicDiffTest.cpp File Reference

`#include <cstddef>`
`#include <cstdlib>`
`#include <cctype>`
`#include <cassert>`
`#include <stack>`
`#include <cppad/cppad.hpp>`
`#include <iostream>`
`#include "CoinHelperFunctions.hpp"`
`#include "OSInstance.h"`
`#include "OSiLWriter.h"`
`#include "OSParameters.h"`
`#include "OSnLNode.h"`
`#include "OSErrorClass.h"`
`#include "OSFileUtil.h"`
`#include "OSiLReader.h"`
`#include "OSExpressionTree.h"`
`#include "OSDataStructures.h"`
`#include <vector>`
`#include <map>`
`#include <string>`

Include dependency graph for OSAlgorithmicDiffTest.cpp:

Go to the source code of this file.

## Functions
int | main ()
bool | CheckFunctionValues (double *conVals, double objValue, double x0, double x1, double x2, double x3, double z0, double z1, double w)
bool | CheckGradientValues (SparseJacobianMatrix *sparseJac, double *objGrad, double x0, double x1, double x2, double x3, double y0, double y1, double w)
bool | CheckHessianUpper (SparseHessianMatrix *sparseHessian, double x0, double x1, double x2, double x3, double z0, double z1, double w)

## Function Documentation

int main | ( |  | ) |

Definition at line 104 of file OSAlgorithmicDiffTest.cpp.

References OSInstance::bUseExpTreeForFunEval, OSInstance::calculateAllConstraintFunctionGradients(), OSInstance::calculateAllConstraintFunctionValues(), OSInstance::calculateAllObjectiveFunctionValues(), OSInstance::calculateFunctionValue(), OSInstance::calculateHessian(), OSInstance::calculateLagrangianHessian(), OSInstance::calculateObjectiveFunctionGradient(), CheckFunctionValues(), CheckGradientValues(), CheckHessianUpper(), SparseJacobianMatrix::conVals, ErrorClass::errormsg, OSInstance::forwardAD(), OSInstance::getAllNonlinearVariablesIndexMap(), OSInstance::getConstraintNumber(), FileUtil::getFileAsString(), OSInstance::getJacobianSparsityPattern(), OSInstance::getLagrangianHessianSparsityPattern(), OSInstance::getNonlinearExpressionTreeModIndexes(), OSInstance::getNumberOfNonlinearExpressionTreeModIndexes(), OSInstance::getObjectiveNumber(), OSInstance::getVariableNumber(), SparseJacobianMatrix::indexes, OSInstance::initForAlgDiff(), OS_NEAR_EQUAL, osinstance, OSiLReader::readOSiL(), OSInstance::reverseAD(), SparseJacobianMatrix::starts, SparseJacobianMatrix::startSize, and SparseJacobianMatrix::values.

bool CheckFunctionValues | ( | double * | conVals,
|  | double | objValue,
|  | double | x0,
|  | double | x1,
|  | double | x2,
|  | double | x3,
|  | double | z0,
|  | double | z1,
|  | double | w |
| ) |  |  |

Definition at line 754 of file OSAlgorithmicDiffTest.cpp.

References OS_NEAR_EQUAL.

Referenced by main().

bool CheckGradientValues | ( | SparseJacobianMatrix * | sparseJac,
|  | double * | objGrad,
|  | double | x0,
|  | double | x1,
|  | double | x2,
|  | double | x3,
|  | double | y0,
|  | double | y1,
|  | double | w |
| ) |  |  |

Definition at line 777 of file OSAlgorithmicDiffTest.cpp.

References OS_NEAR_EQUAL, and SparseJacobianMatrix::values.

Referenced by main().

bool CheckHessianUpper | ( | SparseHessianMatrix * | sparseHessian,
|  | double | x0,
|  | double | x1,
|  | double | x2,
|  | double | x3,
|  | double | z0,
|  | double | z1,
|  | double | w |
| ) |  |  |

Definition at line 812 of file OSAlgorithmicDiffTest.cpp.

References SparseHessianMatrix::hessValues.

Referenced by main().